
<?php

// En-tête indiquant que le contenu est au format JSON
header('Content-Type: application/json');

// Connexion à la base de données
try {
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $ex) {
    // En cas d'erreur de connexion à la base de données, retournez une réponse JSON avec un message d'erreur
    echo json_encode(array(
        "success" => false,
        "error" => "Erreur de connexion à la base de données: " . $ex->getMessage()
    ));
    exit;
}




// Vérifier si la requête est de type POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Récupérer les données du formulaire
    $nomAssurance = $_POST['nomAssurance'];
    $dateExpiration = $_POST['dateExpiration'];
    $numeroPolice = $_POST['numeroPolice'];
    $fraisAssurance = $_POST['fraisAssurance'];
    $contact = $_POST['contact'];
    $selectedVehicule = $_POST['selectedVehicule'];

    // Préparation de la requête SQL
    $sql = "INSERT INTO Assurance (nomAssurance, dateExpiration, numeroPolice, fraisAssurance, contact, idVehicule) VALUES (:nomAssurance , :dateExpiration , :numeroPolice, :fraisAssurance, :contact, :idVehicule)";
    $stmt = $connexion->prepare($sql);

    // Liaison des valeurs avec les paramètres
    $stmt->bindValue(':nomAssurance', $nomAssurance);
    $stmt->bindValue(':dateExpiration', $dateExpiration);
    $stmt->bindValue(':numeroPolice', $numeroPolice);
    $stmt->bindValue(':fraisAssurance', $fraisAssurance);
    $stmt->bindValue(':contact', $contact);
    $stmt->bindValue(':idVehicule', $selectedVehicule);

    // Exécution de la requête
    if ($stmt->execute()) {
        $response['success'] = true;
        $response['message'] = 'L\'assurance a été ajoutée avec succès.';
    } else {
        $response['success'] = false;
        $response['message'] = 'Erreur lors de l\'ajout de l\'assurance. Veuillez réessayer.';
    }

    // Convertir le tableau en format JSON et renvoyer la réponse
    echo json_encode($response);
} else {
    // Méthode non autorisée
    http_response_code(405);
    echo json_encode(array("message" => "Méthode non autorisée"));
}

?>