<?php

// En-tête indiquant que le contenu est au format JSON
header('Content-Type: application/json');

// Initialisation de la réponse
$response = array();

// Connexion à la base de données
try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $ex) {
    // En cas d'erreur de connexion à la base de données, retournez une réponse JSON avec un message d'erreur
    $response["success"] = false;
    $response["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
    echo json_encode($response);
    exit;
}

// Vérifier si la requête est de type POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Récupérer les données du formulaire
    $idVehicule = $_POST['idVehicule'];
    $idClient = $_POST['idClient'];
    $dateDebut = $_POST['dateDebut'];
    $dateFin = $_POST['dateFin'];
    $montantTotal = $_POST['montantTotal'];
	$nombreJours = $_POST['nombreJours'];

    // Préparation de la requête SQL
    $sql = "INSERT INTO ContratsLocation (idVehicule, idClient, dateDebut, dateFin, montantTotal, nombreJours) VALUES (:idVehicule, :idClient, :dateDebut, :dateFin, :montantTotal, :nombreJours)";
    $stmt = $connexion->prepare($sql);

    // Liaison des valeurs avec les paramètres
    $stmt->bindValue(':idVehicule', $idVehicule);
    $stmt->bindValue(':idClient', $idClient);
    $stmt->bindValue(':dateDebut', $dateDebut);
    $stmt->bindValue(':dateFin', $dateFin);
	$stmt->bindValue(':nombreJours', $nombreJours);
    $stmt->bindValue(':montantTotal', $montantTotal);

    // Exécution de la requête
    if ($stmt->execute()) {
        $response['success'] = true;
        $response['message'] = 'Le contrat a été ajouté avec succès.';
    } else {
        $response['success'] = false;
        $response['message'] = 'Erreur lors de l\'ajout du contrat. Veuillez réessayer.';
    }

    // Convertir le tableau en format JSON et renvoyer la réponse
    echo json_encode($response);
} else {
    // Méthode non autorisée
    http_response_code(405);
    echo json_encode(array("message" => "Méthode non autorisée"));
}

?>