<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $NumeroAmmende = isset($_POST['NumeroAmmende']) ? $_POST['NumeroAmmende'] : null;
    $Date = isset($_POST['Date']) ? $_POST['Date'] : null;
    $Montant = isset($_POST['Montant']) ? $_POST['Montant'] : null;
    $idVehicule = isset($_POST['idVehicule']) ? $_POST['idVehicule'] : null;
    $idClient = isset($_POST['idClient']) ? $_POST['idClient'] : null;

    // Vérifier que toutes les données requises sont présentes
    if ($NumeroAmmende === null || $Date === null || $Montant === null || $idVehicule === null || $idClient === null) {
        throw new Exception("Données manquantes");
    }

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour insérer une nouvelle infraction
    $requeteInsererInfraction = $connexion->prepare("INSERT INTO Infractions (NumeroAmmende, Date, Montant, idVehicule, idClient) VALUES (:NumeroAmmende, :Date, :Montant, :idVehicule, :idClient)");

    $requeteInsererInfraction->bindParam(':NumeroAmmende', $NumeroAmmende, PDO::PARAM_STR);
    $requeteInsererInfraction->bindParam(':Date', $Date, PDO::PARAM_STR);
    $requeteInsererInfraction->bindParam(':Montant', $Montant, PDO::PARAM_INT);
    $requeteInsererInfraction->bindParam(':idVehicule', $idVehicule, PDO::PARAM_INT);
    $requeteInsererInfraction->bindParam(':idClient', $idClient, PDO::PARAM_INT);

    // Exécuter la requête
    $requeteInsererInfraction->execute();

    // Informer que l'insertion a réussi
    $retour["success"] = true;
    $retour["message"] = "L'infraction a été ajoutée avec succès.";

} catch (PDOException $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de l'ajout de l'infraction.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
