<?php
// Vérification des données reçues en POST
if (isset($_POST['idAssurance'])) {
    $idAssurance = $_POST['idAssurance']; // Récupérer l'ID de l'assurance depuis les données POST

    try {
        // Connexion à la base de données
        $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
        $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Vérifier si l'assurance est liée à un accident
        $sql = "SELECT COUNT(*) FROM Accidents WHERE idAssurance = :idAssurance";
        $stmt = $connexion->prepare($sql);
        $stmt->bindParam(':idAssurance', $idAssurance);
        $stmt->execute();
        $result = $stmt->fetchColumn();

        // Si l'assurance est liée à un accident, ne pas la supprimer
        if ($result > 0) {
            $response = array("success" => false, "message" => "L'assurance est liée à un accident et ne peut pas être supprimée");
            echo json_encode($response);
            exit(); // Arrêter l'exécution du script
        }

        // Si l'assurance n'est pas liée à un accident, procéder à la suppression
        $sql = "DELETE FROM Assurance WHERE idAssurance = :idAssurance";
        $stmt = $connexion->prepare($sql);
        $stmt->bindParam(':idAssurance', $idAssurance);
        $stmt->execute();

        // Vérification de la réussite de la suppression
        if ($stmt->rowCount() > 0) {
            $response = array("success" => true, "message" => "Suppression réussie");
            echo json_encode($response);
        } else {
            $response = array("success" => false, "message" => "Aucun enregistrement trouvé avec cet identifiant");
            echo json_encode($response);
        }
    } catch(PDOException $e) {
        $response = array("success" => false, "message" => "Erreur lors de la suppression : " . $e->getMessage());
        echo json_encode($response);
    }

    // Fermeture de la connexion
    $connexion = null;
} else {
    $response = array("success" => false, "message" => "Données manquantes");
    echo json_encode($response);
}
?>
