<?php
// Vérification des données envoyées en POST
if (!isset($_POST['idcontrat'])) {
    $response = array("success" => false, "message" => "Identifiant du contrat manquant");
    echo json_encode($response);
    exit; // Arrêter l'exécution si l'identifiant du contrat est manquant
}

// Récupération de l'identifiant du contrat depuis les données POST
$idContrat = $_POST['idcontrat'];

// Connexion à la base de données
try {
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
    // Requête de suppression
    $sql = "DELETE FROM ContratsLocation WHERE idContrat = :idContrat";
    $stmt = $connexion->prepare($sql);
    $stmt->bindParam(':idContrat', $idContrat);
    $stmt->execute();
    
    // Vérification de la réussite de la suppression
    if ($stmt->rowCount() > 0) {
        $response = array("success" => true, "message" => "Suppression réussie");
        echo json_encode($response);
    } else {
        $response = array("success" => false, "message" => "Aucun enregistrement trouvé avec cet identifiant");
        echo json_encode($response);
    }
} catch(PDOException $e) {
    $response = array("success" => false, "message" => "Erreur lors de la suppression : " . $e->getMessage());
    echo json_encode($response);
} finally {
    // Fermeture de la connexion
    $connexion = null;
}
?>
