<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $idInfraction = $_POST['idInfraction'];
    $NumeroAmmende = $_POST['NumeroAmmende'];
    $Date = $_POST['Date'];
    $Montant = $_POST['Montant'];
    $idVehicule = $_POST['idVehicule'];
    $idClient = $_POST['idClient'];

    // Connexion à la base de données
      $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
      $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour mettre à jour l'infraction
    $requeteModifierInfraction = $connexion->prepare("UPDATE Infractions SET NumeroAmmende = :NumeroAmmende, Date = :Date, Montant = :Montant, idVehicule = :idVehicule, idClient = :idClient WHERE idInfraction = :idInfraction");

    $requeteModifierInfraction->bindParam(':NumeroAmmende', $NumeroAmmende, PDO::PARAM_STR);
    $requeteModifierInfraction->bindParam(':Date', $Date, PDO::PARAM_STR);
    $requeteModifierInfraction->bindParam(':Montant', $Montant, PDO::PARAM_INT);
    $requeteModifierInfraction->bindParam(':idVehicule', $idVehicule, PDO::PARAM_INT);
    $requeteModifierInfraction->bindParam(':idClient', $idClient, PDO::PARAM_INT);
    $requeteModifierInfraction->bindParam(':idInfraction', $idInfraction, PDO::PARAM_INT);

    // Exécuter la requête
    $requeteModifierInfraction->execute();

    // Informer que la modification a réussi
    $retour["success"] = true;
    $retour["message"] = "L'infraction a été modifié avec succès.";

} catch (PDOException $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la modification de l'infraction.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
