<?php

header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Détermine la page à afficher et le nombre de clients par page
    $page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
    $clientsParPage = 10;
    // Calculer l'offset pour la requête SQL
    $offset = ($page - 1) * $clientsParPage;

    // Requête pour récupérer la liste des clients
    $requestClients = $connexion->prepare("SELECT Clients.*, Genre.* FROM Clients INNER JOIN Genre ON Clients.idGenre = Genre.idGenre LIMIT :limit OFFSET :offset");

    $requestClients->bindValue(':limit', $clientsParPage, PDO::PARAM_INT);
    $requestClients->bindValue(':offset', $offset, PDO::PARAM_INT);
    $requestClients->execute();

    $clients = $requestClients->fetchAll(PDO::FETCH_ASSOC);

    // Compter le nombre total de clients
    $countTotalClients = $connexion->query("SELECT COUNT(*) AS total FROM Clients");
    $totalClients = $countTotalClients->fetchColumn();

    // Calculer le nombre total de pages
    $totalPages = ceil($totalClients / $clientsParPage);

    $retour["success"] = true;
    $retour["clients"] = $clients;
    $retour["totalPages"] = $totalPages; // Ajoute le nombre total de pages à la réponse JSON
    $retour["hasMore"] = count($clients) == $clientsParPage; // Indique s'il y a plus de clients à charger

} catch (PDOException $ex) {
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);

?>
