<?php
// Récupération de l'ID du client à supprimer depuis la requête POST
$idClient = $_POST['idClient'];

// Vérification si l'ID du client est défini
if (isset($idClient)) {
    // Connexion à la base de données
    try {
        $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
        $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        
        // Commencer une transaction
        $connexion->beginTransaction();

	       // Suppression des supplementVehicule liés au client
        $sql_delete_supplementsvehicule = "DELETE FROM SupplementsVehicule WHERE idClient = :idClient";
        $stmt_delete_supplementsvehicule = $connexion->prepare($sql_delete_supplementsvehicule);
        $stmt_delete_supplementsvehicule->bindParam(':idClient', $idClient);
        $stmt_delete_supplementsvehicule->execute();
        // Vider les résultats précédents
        $stmt_delete_supplementsvehicule->closeCursor();

		
               // Suppression des facturation de location liés au client
        $sql_delete_facturation = "DELETE FROM Facturation WHERE idClient = :idClient";
        $stmt_delete_facturation = $connexion->prepare($sql_delete_facturation);
        $stmt_delete_facturation->bindParam(':idClient', $idClient);
        $stmt_delete_facturation->execute();
        // Vider les résultats précédents
        $stmt_delete_facturation->closeCursor();

        // Suppression des contrats de location liés au client
        $sql_delete_contrats = "DELETE FROM ContratsLocation WHERE idClient = :idClient";
        $stmt_delete_contrats = $connexion->prepare($sql_delete_contrats);
        $stmt_delete_contrats->bindParam(':idClient', $idClient);
        $stmt_delete_contrats->execute();
        // Vider les résultats précédents
        $stmt_delete_contrats->closeCursor();

        // Suppression des états liés au client
        $sql_delete_etats = "DELETE FROM Etat WHERE idClient = :idClient";
        $stmt_delete_etats = $connexion->prepare($sql_delete_etats);
        $stmt_delete_etats->bindParam(':idClient', $idClient);
        $stmt_delete_etats->execute();
        // Vider les résultats précédents
        $stmt_delete_etats->closeCursor();
        
        // Suppression des documents du client
        $sql_delete_documents_client = "DELETE FROM DocumentsClient WHERE idClient = :idClient";
        $stmt_delete_documents_client = $connexion->prepare($sql_delete_documents_client);
        $stmt_delete_documents_client->bindParam(':idClient', $idClient);
        $stmt_delete_documents_client->execute();
        // Vider les résultats précédents
        $stmt_delete_documents_client->closeCursor();

        // Suppression des accidents liés au client
        $sql_delete_accidents = "DELETE FROM Accidents WHERE idClient = :idClient";
        $stmt_delete_accidents = $connexion->prepare($sql_delete_accidents);
        $stmt_delete_accidents->bindParam(':idClient', $idClient);
        $stmt_delete_accidents->execute();
        // Vider les résultats précédents
        $stmt_delete_accidents->closeCursor();

        // Suppression des infractions liées au client
        $sql_delete_infractions = "DELETE FROM Infractions WHERE idClient = :idClient";
        $stmt_delete_infractions = $connexion->prepare($sql_delete_infractions);
        $stmt_delete_infractions->bindParam(':idClient', $idClient);
        $stmt_delete_infractions->execute();
        // Vider les résultats précédents
        $stmt_delete_infractions->closeCursor();

        // Suppression du client lui-même
        $sql_delete_client = "DELETE FROM Clients WHERE idClient = :idClient";
        $stmt_delete_client = $connexion->prepare($sql_delete_client);
        $stmt_delete_client->bindParam(':idClient', $idClient);
        $stmt_delete_client->execute();
        // Vider les résultats précédents
        $stmt_delete_client->closeCursor();
        
        // Valider la transaction
        $connexion->commit();
        
        // Vérification de la réussite de la suppression
        $response = array("success" => true, "message" => "Suppression réussie");
        echo json_encode($response);
    } catch(PDOException $e) {
        // En cas d'erreur, annuler la transaction
        $connexion->rollback();
        
        $response = array("success" => false, "message" => "Erreur lors de la suppression : " . $e->getMessage());
        echo json_encode($response);
    }

    // Fermeture de la connexion
    $connexion = null;
} else {
    $response = array("success" => false, "message" => "ID du client manquant");
    echo json_encode($response);
}
?>
