<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Requête pour récupérer le chiffre d'affaires de l'année en cours
    $requeteChiffreAffaires = $connexion->prepare("SELECT SUM(Montant) AS ChiffreAffaires
        FROM Facturation
        WHERE YEAR(DateFacturation) = YEAR(CURRENT_DATE())");

    $requeteChiffreAffaires->execute();

    // Récupération des résultats de la requête
    $affaires = $requeteChiffreAffaires->fetchAll(PDO::FETCH_ASSOC);

    // Ajout du chiffre d'affaires à la réponse
    $retour["success"] = true;
    $retour["affaires"] = $affaires;
} catch (PDOException $ex) {
    // En cas d'erreur de connexion à la base de données
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
