<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
   $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');

    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Récupération du mois et de l'année actuels
    $mois = date('m');
    $annee = date('Y');

    // Requête pour compter le nombre de contrats de location pour le mois actuel
    $requeteNombreMois = $connexion->prepare("SELECT Count(*) AS NombreContrats
                                            FROM ContratsLocation
                                            WHERE MONTH(dateDebut) = :mois
                                            AND YEAR(dateDebut) = :annee");
    $requeteNombreMois->bindParam(':mois', $mois);
    $requeteNombreMois->bindParam(':annee', $annee);
    $requeteNombreMois->execute();

    // Récupération du résultat de la requête
    $resultat = $requeteNombreMois->fetch(PDO::FETCH_ASSOC);

    // Ajout du nombre de contrats de location à la réponse
    $retour["success"] = true;
    $retour["contrats"] = $resultat;
} catch (PDOException $ex) {
    // En cas d'erreur de connexion à la base de données
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
