<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Requête pour récupérer tous les modèles avec leurs marques associées
    $requeteModeles = $connexion->prepare("SELECT *,Modele.nom AS nom_Modele, Marque.nom AS nom_Marque 
                                           FROM Modele 
                                           INNER JOIN Marque ON Modele.idMarque = Marque.idMarque");
    $requeteModeles->execute();

    // Récupération des résultats de la requête
    $modeles = $requeteModeles->fetchAll(PDO::FETCH_ASSOC);

    // Ajout des modèles à la réponse
    $retour["success"] = true;
    $retour["modeles"] = $modeles;
} catch (PDOException $ex) {
    // En cas d'erreur de connexion à la base de données
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
