<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Vérification de l'existence de l'identifiant de la marque
    if(isset($_GET['idMarque'])) {
        // Requête pour récupérer les modèles pour une marque spécifique
        $requeteModeles = $connexion->prepare("SELECT * FROM Modele WHERE idMarque = :idMarque");
        $requeteModeles->bindParam(':idMarque', $_GET['idMarque']);
        $requeteModeles->execute();

        // Récupération des résultats de la requête
        $modeles = $requeteModeles->fetchAll(PDO::FETCH_ASSOC);

        // Ajout des modèles à la réponse
        $retour["success"] = true;
        $retour["modeles"] = $modeles;
    } else {
        $retour["success"] = false;
        $retour["error"] = "L'identifiant de la marque n'a pas été spécifié.";
    }
} catch (PDOException $ex) {
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
