<?php
header('Content-Type: application/json');

$retour = array();

// Vérification des données envoyées
if(isset($_POST['nouveauGenre'])) {
    // Récupération du nouveau genre depuis les données POST
    $nouveauGenre = $_POST['nouveauGenre'];

    try {
        // Connexion à la base de données
        $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
        $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Préparation de la requête SQL pour l'insertion du nouveau genre
        $requete = $connexion->prepare("INSERT INTO Genre (Genre) VALUES (:genre)");

        // Liaison des valeurs des paramètres
        $requete->bindParam(':genre', $nouveauGenre);

        // Exécution de la requête
        $requete->execute();

        // Vérification du succès de l'ajout
        if($requete->rowCount() > 0) {
            $retour["success"] = true;
            $retour["message"] = "Nouveau genre ajouté avec succès.";
        } else {
            $retour["success"] = false;
            $retour["message"] = "Erreur lors de l'ajout du nouveau genre.";
        }
    } catch (PDOException $ex) {
        $retour["success"] = false;
        $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
    }
} else {
    $retour["success"] = false;
    $retour["message"] = "Données manquantes pour l'ajout du nouveau genre.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
