<?php
header('Content-Type: application/json');

$retour = array();

// Check if the required data is sent
if(isset($_POST['nouvelleMarque'])) {
    // Get the new brand from POST data
    $nouvelleMarque = $_POST['nouvelleMarque'];

    try {
        // Database connection
        $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
        $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Prepare SQL query for inserting the new brand
        $requete = $connexion->prepare("INSERT INTO Marque (nom) VALUES (:nom)");

        // Bind parameter values
        $requete->bindParam(':nom', $nouvelleMarque);

        // Execute the query
        $requete->execute();

        // Check if the insertion was successful
        if($requete->rowCount() > 0) {
            $retour["success"] = true;
            $retour["message"] = "Nouvelle marque ajoutée avec succès.";
        } else {
            $retour["success"] = false;
            $retour["message"] = "Erreur lors de l'ajout de la nouvelle marque.";
        }
    } catch (PDOException $ex) {
        $retour["success"] = false;
        $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
    }
} else {
    $retour["success"] = false;
    $retour["message"] = "Données manquantes pour l'ajout de la nouvelle marque.";
}

// Send the JSON response
echo json_encode($retour);
?>
