<?php
header('Content-Type: application/json');

$retour = array();

// Vérification des données envoyées
if(isset($_POST['nom']) && isset($_POST['frais']) && isset($_POST['description'])) {
    // Récupération des données depuis les données POST
    $nom = $_POST['nom'];
    $frais = $_POST['frais'];
    $description = $_POST['description'];

    try {
        // Connexion à la base de données
          $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
        $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Préparation de la requête SQL pour l'insertion du nouveau supplément
        $requete = $connexion->prepare("INSERT INTO Supplements (nom, frais, description) VALUES (:nom, :frais, :description)");

        // Liaison des valeurs des paramètres
        $requete->bindParam(':nom', $nom);
        $requete->bindParam(':frais', $frais);
        $requete->bindParam(':description', $description);

        // Exécution de la requête
        $requete->execute();

        // Vérification du succès de l'ajout
        if($requete->rowCount() > 0) {
            $retour["success"] = true;
            $retour["message"] = "Nouveau supplément ajouté avec succès.";
        } else {
            $retour["success"] = false;
            $retour["message"] = "Erreur lors de l'ajout du nouveau supplément.";
        }
    } catch (PDOException $ex) {
        $retour["success"] = false;
        $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
    }
} else {
    $retour["success"] = false;
    $retour["message"] = "Données manquantes pour l'ajout du nouveau supplément.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
