<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer l'ID du modèle à supprimer depuis la requête POST ou GET
    $idModele = $_POST['idModele']; 

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer et exécuter la requête de suppression du modèle
    $requeteSupprimerModele = $connexion->prepare("DELETE FROM Modele WHERE idModele = :idModele");
    $requeteSupprimerModele->bindParam(':idModele', $idModele, PDO::PARAM_INT);
    $requeteSupprimerModele->execute();

    // Vérifier si la suppression a réussi
    if ($requeteSupprimerModele->rowCount() > 0) {
        $retour["success"] = true;
        $retour["message"] = "Le modèle a été supprimé avec succès.";
    } else {
        $retour["success"] = false;
        $retour["message"] = "Aucun modèle correspondant à cet ID n'a été trouvé.";
    }

} catch (PDOException $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la suppression du modèle.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
