<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer l'ID de la photo à supprimer depuis la requête POST
    $idPhoto = $_POST['idPhoto'];

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour supprimer la photo du véhicule
    $requeteSupprimerPhotoVehicule = $connexion->prepare("DELETE FROM PhotosVehicule WHERE idPhoto = :idPhoto");
    $requeteSupprimerPhotoVehicule->bindParam(':idPhoto', $idPhoto, PDO::PARAM_INT);

    // Exécuter la requête
    $requeteSupprimerPhotoVehicule->execute();

    // Informer que la suppression a réussi
    $retour["success"] = true;
    $retour["message"] = "La photo du véhicule a été supprimée avec succès.";
} catch (PDOException $ex) {
    // En cas d'erreur PDO
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur générale
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la suppression de la photo du véhicule.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
