<?php
header('Content-Type: application/json');

$retour = array();

// Vérification des données envoyées
if(isset($_POST['idSupplements'])) {
    // Récupération de l'ID du supplément depuis les données POST
    $idSupplements = $_POST['idSupplements'];

    try {
        // Connexion à la base de données
           $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
        $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Préparation de la requête SQL pour la suppression du supplément
        $requete = $connexion->prepare("DELETE FROM Supplements WHERE idSupplements = :idSupplements");

        // Liaison des valeurs des paramètres
        $requete->bindParam(':idSupplements', $idSupplements);

        // Exécution de la requête
        $requete->execute();

        // Vérification du succès de la suppression
        if($requete->rowCount() > 0) {
            $retour["success"] = true;
            $retour["message"] = "Supplément supprimé avec succès.";
        } else {
            $retour["success"] = false;
            $retour["message"] = "Aucun supplément correspondant à l'ID spécifié n'a été trouvé.";
        }
    } catch (PDOException $ex) {
        $retour["success"] = false;
        $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
    }
} else {
    $retour["success"] = false;
    $retour["message"] = "Données manquantes pour la suppression du supplément.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
