<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $idModele = $_POST['idModele']; // Correction du nom de la variable
    $nom = $_POST['nom'];

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour mettre à jour du modele
    $requeteModifierModele = $connexion->prepare("UPDATE Modele SET nom = :nom WHERE idModele = :idModele"); // Correction du nom de la variable

    $requeteModifierModele->bindParam(':nom', $nom, PDO::PARAM_STR);
    $requeteModifierModele->bindParam(':idModele', $idModele, PDO::PARAM_INT);

    // Exécuter la requête
    $requeteModifierModele->execute();

    // Informer que la modification a réussi
    $retour["success"] = true;
    $retour["message"] = "Le modele a été modifiée avec succès.";

} catch (PDOException $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la modification du modele.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
