<?php
header('Content-Type: application/json');

$retour = array();

// Vérification des données envoyées
if(isset($_POST['idSupplements']) && isset($_POST['nom']) && isset($_POST['frais']) && isset($_POST['description'])) {
    // Récupération des données depuis les données POST
    $idSupplements = $_POST['idSupplements'];
    $nom = $_POST['nom'];
    $frais = $_POST['frais'];
    $description = $_POST['description'];

    try {
        // Connexion à la base de données
       $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');

              $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Préparation de la requête SQL pour la mise à jour du supplément
        $requete = $connexion->prepare("UPDATE Supplements SET nom = :nom, frais = :frais, description = :description WHERE idSupplements = :idSupplements");

        // Liaison des valeurs des paramètres
        $requete->bindParam(':nom', $nom);
        $requete->bindParam(':frais', $frais);
        $requete->bindParam(':description', $description);
        $requete->bindParam(':idSupplements', $idSupplements);

        // Exécution de la requête
        $requete->execute();

        // Vérification du succès de la mise à jour
        if($requete->rowCount() > 0) {
            $retour["success"] = true;
            $retour["message"] = "Supplément mis à jour avec succès.";
        } else {
            $retour["success"] = false;
            $retour["message"] = "Aucune mise à jour effectuée.";
        }
    } catch (PDOException $ex) {
        $retour["success"] = false;
        $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
    }
} else {
    $retour["success"] = false;
    $retour["message"] = "Données manquantes pour la mise à jour du supplément.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
