<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Pagination
    $page = isset($_GET['page']) ? intval($_GET['page']) : 1; // Numéro de la page, par défaut à la première page
    $limit = 10; // Nombre de résultats par page
    $offset = ($page - 1) * $limit; // Décalage (offset) pour la pagination

    // Requête pour récupérer les photos des véhicules avec pagination
    $requetePhotosVehicule = $connexion->prepare("SELECT PhotosVehicule.*, Marque.nom AS nom_marque, Modele.nom AS nom_modele, TypeVehicule.nomType AS nom_type, Vehicule.Immat AS Immat
FROM PhotosVehicule
JOIN Vehicule ON PhotosVehicule.idVehicule = Vehicule.idVehicule
JOIN Marque ON Vehicule.idMarque = Marque.idMarque
JOIN TypeVehicule ON Vehicule.idTypeVehicule = TypeVehicule.idTypeVehicule
JOIN Modele ON Vehicule.idModele = Modele.idModele
LIMIT :limit OFFSET :offset");
    $requetePhotosVehicule->bindValue(':limit', intval($limit), PDO::PARAM_INT);
    $requetePhotosVehicule->bindValue(':offset', intval($offset), PDO::PARAM_INT);
    $requetePhotosVehicule->execute();

    // Récupération des résultats de la requête
    $PhotosVehicule = $requetePhotosVehicule->fetchAll(PDO::FETCH_ASSOC);

    // Requête pour récupérer le nombre total de documents des clients
    $requeteTotalPhotosVehicule = $connexion->query("SELECT COUNT(*) AS total FROM PhotosVehicule");
    if ($requeteTotalPhotosVehicule) {
        $totalPhotosVehicule = $requeteTotalPhotosVehicule->fetchColumn();

        // Calcul du nombre total de pages
        $totalPages = ceil($totalPhotosVehicule / $limit);

        // Ajout des documents des photos des véhicules et du nombre total de pages à la réponse
        $retour["success"] = true;
        $retour["photosVehicule"] = $PhotosVehicule;
        $retour["totalPages"] = $totalPages;

        // Vérifie s'il y a plus de documents à charger
        $hasMore = count($PhotosVehicule) == $limit;
        $retour["hasMore"] = $hasMore;
    } else {
        throw new PDOException("La requête pour récupérer le nombre total de photos des véhicules a échoué.");
    }
} catch (PDOException $ex) {
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
