<?php

header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Paramètres de pagination
    $page = isset($_GET['page']) ? (int)$_GET['page'] : 1; // Page demandée, par défaut 1
    $limit = 10; // Nombre d'éléments par page
    $offset = ($page - 1) * $limit; // Offset pour la requête SQL

    // Requête pour récupérer la liste des Suplements avec pagination
    $requestSuplements = $connexion->prepare("SELECT SupplementsVehicule.*,
 Genre.genre AS Genre_Client, 
Clients.idClient AS ID_Client, 
       Clients.nom AS Nom_Client, 
       Marque.nom AS Nom_Marque,
       Modele.nom AS Nom_Modele,
  Vehicule.Immat AS Immatriculation_Vehicule,
       Supplements.*
FROM SupplementsVehicule
JOIN Clients ON SupplementsVehicule.idClient = Clients.idClient
JOIN Vehicule ON SupplementsVehicule.idVehicule = Vehicule.idVehicule
JOIN Genre ON Genre.idGenre = Clients.idGenre
JOIN Marque ON Marque.idMarque = Vehicule.idMarque
JOIN Modele ON Modele.idModele = Vehicule.idModele
JOIN Supplements ON Supplements.idSupplements = SupplementsVehicule.idSupplements
LIMIT :limit OFFSET :offset");
    $requestSuplements->bindParam(':limit', $limit, PDO::PARAM_INT);
    $requestSuplements->bindParam(':offset', $offset, PDO::PARAM_INT);
    $requestSuplements->execute();
   
    // Récupération des suppléments
    $supplements = $requestSuplements->fetchAll(PDO::FETCH_ASSOC);

    // Requête pour récupérer le nombre total de suppléments
    $countTotalSupplements = $connexion->query("SELECT COUNT(*) AS total FROM SupplementsVehicule");
    $totalSupplements = $countTotalSupplements->fetchColumn();

    // Calcul du nombre total de pages
    $totalPages = ceil($totalSupplements / $limit);

    // Déterminer s'il y a plus de suppléments à charger
    $hasMore = ($offset + $limit) < $totalSupplements;

    // Ajout des informations sur les pages et l'indicateur hasMore à la réponse
    $retour["success"] = true;
    $retour["charges"] = $supplements;
    $retour["totalPages"] = $totalPages;
    $retour["hasMore"] = $hasMore;

} catch (PDOException $ex) {
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
