<?php

// En-tête indiquant que le contenu est au format JSON
header('Content-Type: application/json');

// Connexion à la base de données

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);


} catch (PDOException $ex) {
    // En cas d'erreur de connexion à la base de données, retournez une réponse JSON avec un message d'erreur
    echo json_encode(array(
        "success" => false,
        "error" => "Erreur de connexion à la base de données: " . $ex->getMessage()
    ));
    exit;
}

// Vérifier si la requête est de type POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Récupérer les données du formulaire
    $idSuplements = $_POST['idSupplements'];
    $idVehicule = $_POST['idVehicule'];
    $idClient = $_POST['idClient'];

    // Préparation de la requête SQL
    $sql = "INSERT INTO SupplementsVehicule (idSupplements, idVehicule, idClient) VALUES (:idSupplements, :idVehicule, :idClient)";
    $stmt = $connexion->prepare($sql);

    // Liaison des valeurs avec les paramètres
    $stmt->bindValue(':idSupplements', $idSuplements);
    $stmt->bindValue(':idVehicule', $idVehicule);
    $stmt->bindValue(':idClient', $idClient);

    // Exécution de la requête
    if ($stmt->execute()) {
        $response['success'] = true;
        $response['message'] = 'La charge a été ajoutée avec succès.';
    } else {
        $response['success'] = false;
        $response['message'] = 'Erreur lors de l\'ajout de la charge. Veuillez réessayer.';
    }

    // Convertir le tableau en format JSON et renvoyer la réponse
    echo json_encode($response);
} else {
    // Méthode non autorisée
    http_response_code(405);
    echo json_encode(array("message" => "Méthode non autorisée"));
}

?>
