<?php

header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Récupération des données envoyées par le formulaire
    $idVehicule = $_POST['idVehicule'];
    $idClient = $_POST['idClient'];
    $checkIn = $_POST['checkIn'];
    $checkOut = $_POST['checkOut'];
    $nomDocument = $_POST['nomDocument'];
    $pneus = $_POST['pneus'];
    $carrosserie = $_POST['carrosserie'];
    $airConditionne = $_POST['airConditionne'];
    $moteur = $_POST['moteur']; // Ajout de la récupération du paramètre "moteur"
    
    $file = $_FILES["image"];

    // Construction du nouveau nom de fichier avec l'ID du client
    $checkFileName = $idVehicule .'-'. $idClient . '_' . str_replace(' ', '_', $nomDocument) . '.jpeg';

    // Déplacement du fichier vers le dossier de destination
    $uploadDir = "/Api/Images/"; // Modifier ici le chemin relatif
    $uploadFile = $uploadDir . $checkFileName;

    if (move_uploaded_file($file["tmp_name"], $_SERVER['DOCUMENT_ROOT'] . $uploadFile)) {
        // Fichier correctement enregistré, vous pouvez maintenant insérer les données dans la base de données
        // Requête d'insertion
        $requete = $connexion->prepare("INSERT INTO Etat (idVehicule, idClient, checkIn, checkOut, nomDocument, imageEtat, pneus, carrosserie, airConditionne, moteur) VALUES (:idVehicule, :idClient, :checkIn, :checkOut, :nomDocument, :imageEtat, :pneus, :carrosserie, :airConditionne, :moteur)");
        $requete->bindParam(':idVehicule', $idVehicule, PDO::PARAM_INT);
        $requete->bindParam(':idClient', $idClient, PDO::PARAM_INT);
        $requete->bindParam(':checkIn', $checkIn);
        $requete->bindParam(':checkOut', $checkOut);
        $requete->bindParam(':nomDocument', $nomDocument);
        $requete->bindParam(':imageEtat', $uploadFile); // Utilisation du chemin relatif du serveur
        $requete->bindParam(':pneus', $pneus);
        $requete->bindParam(':carrosserie', $carrosserie);
        $requete->bindParam(':airConditionne', $airConditionne);
        $requete->bindParam(':moteur', $moteur); // Ajout du paramètre "moteur"
        $requete->execute();

        // Vérification si l'insertion a réussi
        if ($requete->rowCount() > 0) {
            $retour["success"] = true;
            $retour["message"] = "L'état a été ajouté avec succès.";
        } else {
            $retour["success"] = false;
            $retour["message"] = "Une erreur s'est produite lors de l'ajout de l'état.";
        }
    } else {
        // En cas d'échec du déplacement du fichier
        $retour["success"] = false;
        $retour["message"] = "Une erreur s'est produite lors de l'enregistrement du fichier.";
    }
} catch (PDOException $ex) {
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
