<?php

// En-tête indiquant que le contenu est au format JSON
header('Content-Type: application/json');

// Connexion à la base de données
try {
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $ex) {
    // En cas d'erreur de connexion à la base de données, retournez une réponse JSON avec un message d'erreur
    echo json_encode(array(
        "success" => false,
        "error" => "Erreur de connexion à la base de données: " . $ex->getMessage()
    ));
    exit;
}

// Vérification des données reçues en POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Récupération des données du véhicule depuis la requête POST
    $idMarque = $_POST['idMarque'];
    $idModele = $_POST['idModele'];
    $idTypeVehicule = $_POST['idTypeVehicule'];
    $immat = $_POST['immat'];
    $annee = $_POST['annee'];
    $motorisation = $_POST['motorisation'];
    $couleur = $_POST['couleur'];
    $kilometrage = $_POST['kilometrage'];
    $places = $_POST['places'];
    $Boitevitesse = $_POST['Boitevitesse'];
    $tarifJour = $_POST['tarifJour'];
    $description = $_POST['description'];
    $idStatut = $_POST['idStatut'];
	$NiveauCarburant = $_POST['niveauCarburant'];

    // Requête SQL pour insérer un nouveau véhicule
// Requête SQL pour insérer un nouveau véhicule avec les identifiants de la marque et du modèle
$sql = "INSERT INTO Vehicule (idMarque, idModele, idTypeVehicule, Immat, annee, motorisation, Couleur, kilometrage, Places, BoiteVitesse, TarifJour, description, idStatut, niveauCarburant) 
        VALUES (:idMarque, :idModele, :idTypeVehicule, :immat, :annee, :motorisation, :couleur, :kilometrage, :places, :Boitevitesse, :tarifJour, :description, :idStatut, :niveauCarburant)";


    // Préparation de la requête SQL
    $requete = $connexion->prepare($sql);

    // Liaison des valeurs des paramètres avec les valeurs réelles
    $requete->bindParam(':idMarque', $idMarque);
    $requete->bindParam(':idModele', $idModele);
    $requete->bindParam(':idTypeVehicule', $idTypeVehicule);
    $requete->bindParam(':immat', $immat);
    $requete->bindParam(':annee', $annee);
    $requete->bindParam(':motorisation', $motorisation);
    $requete->bindParam(':couleur', $couleur);
    $requete->bindParam(':kilometrage', $kilometrage);
    $requete->bindParam(':places', $places);
    $requete->bindParam(':Boitevitesse', $Boitevitesse);
    $requete->bindParam(':tarifJour', $tarifJour);
    $requete->bindParam(':description', $description);
    $requete->bindParam(':idStatut', $idStatut);
	 $requete->bindParam(':niveauCarburant', $NiveauCarburant);

    // Exécution de la requête SQL
    if ($requete->execute()) {
        // Si l'insertion est réussie, retournez une réponse JSON avec succès
        echo json_encode(array(
            "success" => true,
            "message" => "Le véhicule a été inséré avec succès."
        ));
    } else {
        // En cas d'erreur lors de l'insertion, retournez une réponse JSON avec un message d'erreur
        echo json_encode(array(
            "success" => false,
            "error" => "Erreur lors de l'insertion du véhicule."
        ));
    }
} else {
    // Si la méthode de requête n'est pas POST, retournez une réponse JSON avec un message d'erreur
    echo json_encode(array(
        "success" => false,
        "error" => "La méthode de requête doit être POST."
    ));
}

?>
