<?php
// Récupération de l'ID du véhicule à supprimer depuis la requête POST
$idVehicule = $_POST['idVehicule'];

// Vérification si l'ID du véhicule est défini
if (isset($idVehicule)) {
    // Connexion à la base de données
    try {
        $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
        $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        
        // Commencer une transaction
        $connexion->beginTransaction();
        
        // Suppression des accidents liés au véhicule
        $sql_delete_accidents = "DELETE FROM Accidents WHERE idVehicule = :idVehicule";
        $stmt_delete_accidents = $connexion->prepare($sql_delete_accidents);
        $stmt_delete_accidents->bindParam(':idVehicule', $idVehicule);
        $stmt_delete_accidents->execute();
        // Vider les résultats précédents
        $stmt_delete_accidents->closeCursor();
        
        // Suppression des entrées dépendantes
        $sql_delete_dependent_entries = "
            DELETE FROM ContratsLocation WHERE idVehicule = :idVehicule;
            DELETE FROM PhotosVehicule WHERE idVehicule = :idVehicule;
            DELETE FROM Assurance WHERE idVehicule = :idVehicule;
            DELETE FROM ControleTechnique WHERE idVehicule = :idVehicule;
            DELETE FROM DocumentsVehicule WHERE idVehicule = :idVehicule;
		  DELETE FROM Etat WHERE idVehicule = :idVehicule;
	  DELETE FROM Infractions WHERE idVehicule = :idVehicule;
		  DELETE FROM SupplementsVehicule WHERE idVehicule = :idVehicule;
            -- Ajoutez d'autres suppressions pour les tables dépendantes si nécessaire
        ";
        $stmt_delete_dependent_entries = $connexion->prepare($sql_delete_dependent_entries);
        $stmt_delete_dependent_entries->bindParam(':idVehicule', $idVehicule);
        $stmt_delete_dependent_entries->execute();
        // Vider les résultats précédents
        $stmt_delete_dependent_entries->closeCursor();

        // Suppression du véhicule lui-même
        $sql_delete_vehicle = "DELETE FROM Vehicule WHERE idVehicule = :idVehicule";
        $stmt_delete_vehicle = $connexion->prepare($sql_delete_vehicle);
        $stmt_delete_vehicle->bindParam(':idVehicule', $idVehicule);
        $stmt_delete_vehicle->execute();
        // Vider les résultats précédents
        $stmt_delete_vehicle->closeCursor();
        
        // Valider la transaction
        $connexion->commit();
        
        // Vérification de la réussite de la suppression
        $response = array("success" => true, "message" => "Suppression réussie");
        echo json_encode($response);
    } catch(PDOException $e) {
        // En cas d'erreur, annuler la transaction
        $connexion->rollback();
        
        $response = array("success" => false, "message" => "Erreur lors de la suppression : " . $e->getMessage());
        echo json_encode($response);
    }

    // Fermeture de la connexion
    $connexion = null;
} else {
    $response = array("success" => false, "message" => "ID du véhicule manquant");
    echo json_encode($response);
}
?>
