<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $idEtat = $_POST['idEtat'];
    $nomDocument = $_POST['nomDocument'];
    $CheckIn = $_POST['CheckIn'];
    $CheckOut = $_POST['CheckOut'];
    $idVehicule = $_POST['idVehicule'];
    $idClient = $_POST['idClient'];
    $pneus = $_POST['pneus']; 
    $carrosserie = $_POST['carrosserie'];
    $airConditionne = $_POST['airConditionne']; 

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour mettre à jour l'assurance
    $requeteModifierEtat = $connexion->prepare("UPDATE Etat SET idEtat = :idEtat, idClient = :idClient, idVehicule = :idVehicule, nomDocument = :nomDocument, checkIn = :checkIn, checkOut = :checkOut, pneus = :pneus, carrosserie = :carrosserie, airConditionne = :airConditionne WHERE idEtat = :idEtat");

    $requeteModifierEtat->bindParam(':idClient', $idClient, PDO::PARAM_INT);
    $requeteModifierEtat->bindParam(':idVehicule', $idVehicule, PDO::PARAM_INT);
    $requeteModifierEtat->bindParam(':checkOut', $CheckOut, PDO::PARAM_STR);
    $requeteModifierEtat->bindParam(':checkIn', $CheckIn, PDO::PARAM_STR);
    $requeteModifierEtat->bindParam(':nomDocument', $nomDocument, PDO::PARAM_STR);
    $requeteModifierEtat->bindParam(':idEtat', $idEtat, PDO::PARAM_INT);
    $requeteModifierEtat->bindParam(':pneus', $pneus, PDO::PARAM_STR); // Nouvel ajout
    $requeteModifierEtat->bindParam(':carrosserie', $carrosserie, PDO::PARAM_STR); // Nouvel ajout
    $requeteModifierEtat->bindParam(':airConditionne', $airConditionne, PDO::PARAM_STR); // Nouvel ajout

    // Exécuter la requête
    $requeteModifierEtat->execute();

    // Informer que la modification a réussi
    $retour["success"] = true;
    $retour["message"] = "L'état a été modifié avec succès.";

} catch (PDOException $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la modification de l'état.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
