<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require '/var/www/combat/api_game/PHPMailer/src/Exception.php';
require '/var/www/combat/api_game/PHPMailer/src/PHPMailer.php';
require '/var/www/combat/api_game/PHPMailer/src/SMTP.php';

// Configuration de la base de données
$host = 'localhost';
$db = 'FasCars';
$user = 'mariadb';
$pass = 'mariadb*1';
$charset = 'utf8mb4';

// Configuration de l'email
$smtpHost = 'smtp.gmail.com';
$smtpPort = 465;
$smtpUser = 'mopi670@gmail.com';
$smtpPass = "rqlwlmttbtgbyvvy";

$dsn = "mysql:host=$host;dbname=$db;charset=$charset";
$options = [
    PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
    PDO::ATTR_EMULATE_PREPARES => false,
];

try {
    $pdo = new PDO($dsn, $user, $pass, $options);
    // S'assurer que la connexion utilise l'UTF-8
    $pdo->exec("set names utf8mb4");
    error_log("Connexion à la base de données réussie.");

    // Obtenez la date actuelle
    $now = new DateTime();
    $now->setTime(0, 0);

    // Requête pour obtenir les données des assurances dont les dates d'expiration sont proches
    $stmtAssurance = $pdo->query("SELECT nomAssurance, dateExpiration FROM Assurance");
    while ($row = $stmtAssurance->fetch()) {
        $dateAssurance = new DateTime($row['dateExpiration']);
        error_log("Vérification de l'assurance: " . $row['nomAssurance'] . " avec la date d'expiration " . $dateAssurance->format('d/m/Y'));

        if ($dateAssurance <= (clone $now)->modify('+30 days')) {
            error_log("Envoi de l'email de rappel pour l'assurance: " . $row['nomAssurance']);
            envoyerEmail('mopi670@gmail.com', 'Rappel : Expiration de l’assurance', 
                "Bonjour,\n\nL'assurance \"{$row['nomAssurance']}\" expire le {$dateAssurance->format('d/m/Y')}. Merci de la renouveler avant cette date.");
        }
    }

    // Requête pour obtenir les données des contrôles techniques dont les dates d'expiration sont proches
    $stmtControle = $pdo->query("SELECT nomControleTechnique, dateExpiration FROM ControleTechnique");
    while ($row = $stmtControle->fetch()) {
        $dateControle = new DateTime($row['dateExpiration']);
        error_log("Vérification du contrôle technique: " . $row['nomControleTechnique'] . " avec la date d'expiration " . $dateControle->format('d/m/Y'));

        if ($dateControle <= (clone $now)->modify('+30 days')) {
            error_log("Envoi de l'email de rappel pour le contrôle technique: " . $row['nomControleTechnique']);
            envoyerEmail('mopi670@gmail.com', 'Rappel : Expiration du contrôle technique', 
                "Bonjour,\n\nLe contrôle technique \"{$row['nomControleTechnique']}\" expire le {$dateControle->format('d/m/Y')}. Merci de le renouveler avant cette date.");
        }
    }

} catch (PDOException $e) {
    error_log("Erreur lors de la connexion à la base de données : " . $e->getMessage());
    throw new PDOException($e->getMessage(), (int)$e->getCode());
}

function envoyerEmail($toEmail, $subject, $body) {
    global $smtpHost, $smtpPort, $smtpUser, $smtpPass;

    $mail = new PHPMailer(true);
    try {
        $mail->isSMTP();
        $mail->Host = $smtpHost;
        $mail->SMTPAuth = true;
        $mail->Username = $smtpUser;
        $mail->Password = $smtpPass;
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
        $mail->Port = $smtpPort;

        // Définir le niveau de débogage
        $mail->SMTPDebug = 2; // Niveau de débogage (0 = off, 1 = client, 2 = client et serveur)
        $mail->Debugoutput = function($str, $level) {
            error_log("Debug niveau $level : $str");
        };

        // Destinataire
        $mail->setFrom($smtpUser, 'Admin');
        $mail->addAddress($toEmail);

        // Contenu
        $mail->isHTML(false);
        $mail->CharSet = 'UTF-8'; // Ajouter le charset UTF-8
        $mail->Subject = $subject;
        $mail->Body    = $body;

        $mail->send();
        error_log("Email envoyé avec succès à " . $toEmail);
    } catch (Exception $e) {
        error_log("Erreur lors de l'envoi de l'email : {$mail->ErrorInfo}");
    }
}
?>
