<?php

header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $ex) {
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
    echo json_encode($retour);
    exit;
}

$email = isset($_POST['email']) ? $_POST['email'] : null;
$password = isset($_POST['password']) ? $_POST['password'] : null;

if (!$email || !$password) {
    $retour["success"] = false;
    $retour["error"] = "Veuillez fournir l'email et le mot de passe.";
    echo json_encode($retour);
    exit;
}

// Recherche de l'utilisateur par email
$requestUser = $connexion->prepare("SELECT * FROM Utilisateurs WHERE email = :email");
$requestUser->bindParam(':email', $email);
$requestUser->execute();
$user = $requestUser->fetch(PDO::FETCH_ASSOC);

if (!$user) {
    $retour["success"] = false;
    $retour["error"] = "Aucun utilisateur trouvé avec cet email.";
    echo json_encode($retour);
    exit;
}

// Vérification du mot de passe
if (password_verify($password, $user['Password'])) {
    // Ajout des informations de l'utilisateur à la réponse
    $retour["success"] = true;
    $retour["message"] = "Connexion réussie.";
    $retour["user"] = array(
        "Email" => $user['Email'],
        "nom" => $user['nom'],
        "idUtilisateur" => $user['idUtilisateur']
    );
} else {
    $retour["success"] = false;
    $retour["error"] = "Mot de passe incorrect.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
