<?php

header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $ex) {
    http_response_code(500);
    $retour["success"] = false;
    $retour["error"] = "Database connection error";
    echo json_encode($retour);
    exit;
}

$email = isset($_POST['email']) ? $_POST['email'] : '';
$password = isset($_POST['password']) ? $_POST['password'] : '';

// Vérifier si l'e-mail de l'utilisateur existe dans la base de données
$request = $connexion->prepare("SELECT * FROM Utilisateurs WHERE email = :email");
$request->bindParam(':email', $email);
$request->execute();

$user = $request->fetch(PDO::FETCH_ASSOC);

if ($user) {
    // Mettre à jour le mot de passe de l'utilisateur avec le nouveau mot de passe
  // Hacher le mot de passe
	$hashedPassword = password_hash($password, PASSWORD_DEFAULT);
    $updatePassword = $connexion->prepare("UPDATE Utilisateurs SET password = :password WHERE email = :email");
    $updatePassword->bindParam(':password', $hashedPassword);
    $updatePassword->bindParam(':email', $email);
    $updatePassword->execute();

    $retour["success"] = true;
    $retour["message"] = "Mot de passe mis à jour avec succès.";
} else {
    // Si l'e-mail n'existe pas dans la base de données
    http_response_code(404); // Not Found
    $retour["success"] = false;
    $retour["error"] = "L'adresse e-mail spécifiée n'existe pas dans notre système.";
}

echo json_encode($retour);
?>
