import React from 'react';
import { Text, StyleSheet, View, TouchableOpacity, Alert } from 'react-native';

const BouttonConfirme = ({ value, onPress }) => {
  const maValue = value || '';

  const handlePress = () => {
    // Afficher une alerte de confirmation
    Alert.alert(
      'Confirmation',
      'Voulez-vous vraiment effectuer cette action?',
      [
        { text: 'Annuler', style: 'cancel' },
        { text: 'Confirmer', onPress: onPress, style: 'destructive' }
      ],
      { cancelable: true }
    );
  };

  return (
    <TouchableOpacity onPress={handlePress} style={styles.customButton}>
      <View style={styles.textContainer}>
        <Text style={styles.customButtonText}>{maValue}</Text>
      </View>
    </TouchableOpacity>
  );
};

const styles = StyleSheet.create({
  customButton: {
    margin: 10,
    width: 70, // Largeur égale à la hauteur pour rendre le bouton circulaire
    height: 70,
    backgroundColor: '#1D7342',
    borderRadius: 35, // Rayon égal à la moitié de la hauteur et de la largeur
    shadowColor: '#000',
    shadowOffset: { width: 0, height: 2 },
    shadowOpacity: 0.3,
    shadowRadius: 3,
    elevation: 5,
    justifyContent: 'center',
    alignItems: 'center',
    alignSelf: 'center',
  },

  customButtonText: {
    color: '#fff',
    fontSize: 12, // Taille de police réduite pour s'adapter à un bouton rond
    fontWeight: 'bold',
    textAlign: 'center',
  },

  textContainer: {
    justifyContent: 'center',
    alignItems: 'center',
  },
});

export default BouttonConfirme;
