import React, { useEffect } from 'react';
import { View, Alert } from 'react-native';
import * as ImagePicker from 'expo-image-picker';
import Boutton from './Boutton';

const CameraSelector = ({ onSelectImage }) => {
    useEffect(() => {
        requestCameraPermission();
    }, []);

    const requestCameraPermission = async () => {
        const { status } = await ImagePicker.requestCameraPermissionsAsync();
        if (status !== 'granted') {
            Alert.alert(
                'Permission refusée',
                'Vous devez autoriser l\'accès à la caméra pour prendre une photo.'
            );
        }
    };

    const takePhoto = async () => {
        let result = await ImagePicker.launchCameraAsync({
            mediaTypes: ImagePicker.MediaTypeOptions.Images,
            allowsEditing: true,
            aspect: [4, 3],
            quality: 1,
        });
    
        if (!result.canceled) {
         
            onSelectImage(result.assets[0].uri);
        }
    };

    return (
        <View>
            <Boutton  onPress={takePhoto} value ="Prendre une photo" />
        </View>
    );
}

export default CameraSelector;


