import React from 'react';
import { View, Text, StyleSheet, TouchableOpacity } from 'react-native';

const CheckItem = ({ itemName, status, setStatus }) => {
  return (
    <View style={styles.container}>
      <Text style={styles.title}>{itemName}</Text>
      <View style={styles.statusContainer}>
        <TouchableOpacity
          style={[styles.statusButton, status === 'mauvais' && styles.selected, { backgroundColor: 'red' }]}
          onPress={() => setStatus('mauvais')}
        >
          <Text style={styles.statusText}>Mauvais</Text>
        </TouchableOpacity>
        <TouchableOpacity
          style={[styles.statusButton, status === 'moyen' && styles.selected, { backgroundColor: 'orange' }]}
          onPress={() => setStatus('moyen')}
        >
          <Text style={styles.statusText}>Moyen</Text>
        </TouchableOpacity>
        <TouchableOpacity
          style={[styles.statusButton, status === 'bon' && styles.selected, { backgroundColor: 'green' }]}
          onPress={() => setStatus('bon')}
        >
          <Text style={styles.statusText}>Bon</Text>
        </TouchableOpacity>
      </View>
     
    </View>
  );
};

const styles = StyleSheet.create({
  container: {
    padding: 10,
    borderWidth: 1,
    borderRadius: 5,
    marginVertical: 5,
  },
  title: {
    fontSize: 18,
    marginBottom: 10,
  },
  statusContainer: {
    flexDirection: 'row',
    justifyContent: 'space-around',
    marginBottom: 10,
  },
  statusButton: {
    padding: 10,
    borderRadius: 5,
    width: 80,
    alignItems: 'center',
  },
  statusText: {
    color: '#fff',
    fontWeight: 'bold',
  },
  selected: {
    borderWidth: 2,
    borderColor: '#000',
  },
  editDetails: {
    color: '#0000ff',
    textDecorationLine: 'underline',
  },
});

export default CheckItem;
