import React from 'react';
import { View, Text, StyleSheet } from 'react-native';

const DataBox = ({ title, data, backgroundColor }) => {
  return (
    <View style={[styles.dataBox, { backgroundColor: backgroundColor }]}>
      <Text style={styles.title}>{title}</Text>
      {Array.isArray(data) ? (
        data.map((item, index) => (
          <Text key={index} style={styles.dataText}>{item}</Text>
        ))
      ) : (
        <Text style={styles.dataText}>{data}</Text>
      )}
    </View>
  );
};

const styles = StyleSheet.create({
  dataBox: {
    width: '25%',
    padding: 10,
    borderRadius: 10,
    alignItems: 'center',
    shadowColor: '#000',
    shadowOffset: { width: 0, height: 2 },
    shadowOpacity: 0.2,
    shadowRadius: 5,
    elevation: 3,
  },
  title: {
    fontWeight: 'bold',
    marginBottom: 5,
    color: '#fff',
  },
  dataText: {
    textAlign: 'center',
    color: '#fff',
  },
});

export default DataBox;
