import React from 'react';
import { StyleSheet, View, Image,Text } from 'react-native';


// En-tête des pages
const Header = ({ title }) => {
  return (
    <View style={styles.headerContainer}>
      <View style={styles.titleContainer}>
        <Text style={styles.headerText}>{title || "Page sans titre"}</Text>
      </View>
      <Image source={require('../assets/fascars.png')} style={styles.logo} />
    </View>
  );
};

// Styles pour l'en-tête
const styles = StyleSheet.create({
  headerContainer: {
    backgroundColor: '#58A681',
    paddingVertical: 10,
    alignItems: 'center',
    width: '100%',
    flexDirection: 'row', 
    justifyContent: 'space-between', 
    paddingHorizontal: 20, 
  },
  titleContainer: {
    flex: 1, 
    alignItems: 'center', 
  },
  headerText: {
    fontSize: 24,
    color: '#fff',
    fontWeight: 'bold',
  },
  logo: {
    width: 100, // Ajustez la taille du logo selon vos préférences
    height: 100, // Ajustez la taille du logo selon vos préférences
  },
});

export default Header;

