// page d'accueil de l'application
import React from 'react';
import { View, StyleSheet, Text, Image, TouchableOpacity} from 'react-native';
import Header from '../Components/Header';
import clientsIcon from '../assets/clients.png';
import documentIcon from '../assets/document.png';
import Footer from '../Components/Footer';

// Fonction pour afficher la page Clients
export default function Clients({ navigation }) {
  

 // Fonction pour afficher la liste des clients
  const FonctionVerslisteClients = () => {  
    navigation.navigate('ListeClients');
  };
 
// Fonction pour afficher la liste des documents clients
const FonctionVerslisteDocumentsClients = () => {
  navigation.navigate('ListeDocumentsClients');
}; 

  return (
   
      <View style={styles.container}>
        <Header title="Clients" />

    
        <View style={styles.dataContainer}>
      <TouchableOpacity onPress={FonctionVerslisteClients}>
    <View style={styles.iconContainer}>
      <Image source={clientsIcon} style={styles.icon} />
      <Text style={styles.iconTitle}>Liste des Clients</Text>
    </View>
  </TouchableOpacity>
        
  <TouchableOpacity onPress={FonctionVerslisteDocumentsClients}>
    <View style={styles.iconContainer}>
      <Image source={documentIcon} style={styles.icon} />
      <Text style={styles.iconTitle}>Documents Clients</Text>
    </View>
  </TouchableOpacity>

     
  
      </View>
      <Footer />
    </View>
  
  );
}

const styles = StyleSheet.create({
 
  container: {
    flex: 1,
    overflow: 'hidden',
    alignItems: 'center',
  },
  iconContainer: {
    alignItems: 'center',
    margin: 20,
    borderRadius: 25, 
    backgroundColor: 'lightgreen', 
    padding: 10, 
  },
  icon: {
    width: 30,
    height: 30,
    resizeMode: 'contain',
  },
  iconTitle: {
    marginTop: 10,
    textAlign: 'center',
  },
  espace: {
    height: 10, 
  },
  dataContainer: {
    flexDirection: 'row',
    justifyContent: 'space-around',
  },
  
});
