import React,{ useEffect,useState} from 'react';
import  {View,StyleSheet, Alert} from 'react-native';
import Header from '../../Components/Header';
import CustomFlatList from '../../Components/CustomFlatList';   
import Boutton from '../../Components/Boutton';
import Footer from '../../Components/Footer';

const ListeControle =({navigation}) => {
    const [controle,setControle]=useState([]);
    const [page,setPage]=useState(1);
    const [hasMore,setHasMore]=useState(true);
    const [totalPages, setTotalPages] = useState(0); 
    const PageName = ['ControleDetails'];
    // Récupération des controles   à chaque changement de page
    useEffect(()=>{
        fetchControle();
    },[page]);  

    // Fonction pour récupérer les controles
    const fetchControle = () => {
    fetch(`https://sites.freeboxos.fr/Api/Administratif/getControle.php?page=${page}`)
    .then((response)=>response.json())
    .then((json)=>{
        if(json.success){
            setControle(prevControle=>[...prevControle,...json.controle]);
            setTotalPages(json.totalPages);
            setHasMore(page < json.totalPages);

        }else{
            Alert.alert(json.message || json.error);
        }
    })
    .catch((error)=>console.error(error))

};

const keyExtractor = (item, index) => index.toString();
const titles = [ "Numéro du controle ", "Numéro Véhicule", "Marque", "Modèle", "Immatriculation",  "Date expiration","frais du controle",  "contact", "Nom Controle Technique"];

    const renderItem = ({ item }) => (                             
                    <View>
                        {item.NumeroControle}
                        {item.idVehicule}
                        {item.nom_marque}
                        {item.nom_modele}
                        {item.Immat}
                        { item.dateExpiration}
                        {item.contact}  
                        {item.nomControleTechnique}
                        {item.fraisControle}
                
                    </View>
);


return (
    <View style={styles.container}>
        <Header title="Liste des controles techniques" />
      
        <CustomFlatList
            data={controle}
            renderItem={renderItem}
            keyExtractor={keyExtractor}
            titles={titles}
            setPage={setPage}
            selectedKeys={['NumeroControle', 'idVehicule', 'nom_marque', 'nom_modele', 'Immat', 'dateExpiration','fraisControle','contact','nomControleTechnique']}
            hasMore={hasMore} 
            navigation={navigation}
            PageName={PageName}
        />
          <Boutton title="Ajouter un controle" onPress={() => navigation.navigate('AjoutControle')} value='Ajouter' />
        <Footer />
    </View>
);
};
const styles = StyleSheet.create({
    container: {
        flex: 1,
        padding: 20,
    },
 
});
export default ListeControle;

