import React, { useState } from 'react';
import { View, StyleSheet, Alert } from 'react-native';
import { useNavigation } from '@react-navigation/native'; 
import Header from "../../Components/Header";
import Boutton from "../../Components/Boutton";
import InputText from "../../Components/InputText";
import Footer from '../../Components/Footer';

// Fonction pour ajouter un genre
const AjoutGenre = () => {
    const [nouveauGenre, setNouveauGenre] = useState('');
    const navigation = useNavigation(); 

    const ajouterNouveauGenre = () => {
        if (nouveauGenre.trim() === '') {
            Alert.alert('Le champ du nouveau genre ne peut pas être vide.');
            return;
        }

        const formData = new FormData();
        formData.append("nouveauGenre", nouveauGenre);

        fetch(`https://sites.freeboxos.fr/Api/Listes/insertGenre.php`, {
            method: 'POST',
            body: formData,
        })
        .then((response) => response.json())
        .then((json) => {
            if (json.success) {
                Alert.alert('Nouveau genre ajouté avec succès dans la base de données.');
                setNouveauGenre('');
                navigation.navigate('Listes'); 
            } else {
                Alert.alert(json.message || json.error);
            }
        })
        .catch((error) => console.error(error));
    };

    return (
        <View style={styles.container}>
            <Header title="Ajout d'une nouvelle civilité" />
            <View style={styles.inputContainer}>
                <InputText
                    placeholder="Nouveau genre"
                    value={nouveauGenre}
                    onChangeText={setNouveauGenre}
                />
                <Boutton onPress={ajouterNouveauGenre} value="Ajouter" />
            </View>
            <Footer />
        </View>
    );
}

const styles = StyleSheet.create({
    container: {
        flex: 1,
        padding: 20,
    },

});

export default AjoutGenre;
