import React, { useEffect, useState } from 'react';
import { View,StyleSheet, Alert } from 'react-native';
import Header from '../../Components/Header';
import CustomFlatList from '../../Components/CustomFlatList';
import Boutton from '../../Components/Boutton';
import Footer from '../../Components/Footer';

// Fonction pour afficher la liste des genres
const ListeGenre = ({ navigation }) => {
    const [genres, setGenre] = useState([]);
    const PageName = ['GenreDetails'];

    useEffect(() => {
        fetchGenre();
        navigation.addListener('focus', () => {
            fetchGenre();
        });
    }, [navigation]);


    // Fonction pour récupérer les genres
    const fetchGenre = () => {
        fetch(`https://sites.freeboxos.fr/Api/Listes/getGenre.php`)
            .then((response) => response.json())
            .then((json) => {
                if (json.success) {
                    setGenre(json.genres);
                } else {
                    Alert.alert(json.message || json.error);
                }
            })
            .catch((error) => console.error(error));
    };
   
    // Fonction pour afficher la liste des genres
    const keyExtractor = (item, index) => index.toString();
    const titles = ["Genre"];
    const renderItem = ({ item }) => (
        <View>
            {item.Genre}
         
        </View>
    );

    return (
    
                    <View style={styles.container}>
            <Header title="Liste des civilités" />
          
             
           
            <CustomFlatList
                data={genres}
                renderItem={renderItem}
                keyExtractor={keyExtractor}
                titles={titles}
                selectedKeys={['Genre']}
                navigation={navigation}
                PageName={PageName} // Passer le nom de la page en tant que prop    
            />
               <Boutton onPress={() => navigation.navigate('AjoutGenre')} value="ajouter" />
            <Footer />
        </View>
    );
};

const styles = StyleSheet.create({
    container: {
        flex: 1,
        padding: 20,
    },
  
});



export default ListeGenre;
