import React, { useState } from 'react';
import { View, StyleSheet, Alert } from 'react-native';
import { useNavigation } from '@react-navigation/native';
import Header from "../../Components/Header";
import Boutton from "../../Components/Boutton";
import InputText from "../../Components/InputText";
import Footer from '../../Components/Footer';

// Fonction pour ajouter une marque
const AjoutMarque = () => {
    const [nouvelleMarque, setNouvelleMarque] = useState('');
    const navigation = useNavigation();

    const ajouterNouvelleMarque = () => {
      
        if (nouvelleMarque.trim() === '') {
            Alert.alert('Erreur', 'Veuillez entrer le nom de la nouvelle marque.');
            return;
        }

        const formData = new FormData();
        formData.append("nouvelleMarque", nouvelleMarque);

        fetch(`https://sites.freeboxos.fr/Api/Listes/insertMarque.php`, {
            method: 'POST',
            body: formData,
        })
        .then((response) => response.json())
        .then((json) => {
            if (json.success) {
                Alert.alert('Nouvelle marque ajoutée avec succès dans la base de données.');
                setNouvelleMarque('');
                navigation.navigate('Listes'); 
            } else {
                Alert.alert(json.message || json.error);
            }
        })
        .catch((error) => console.error(error));
    };

    return (
        <View style={styles.container}>
            <Header title="Ajout d'une nouvelle marque" />
          
                <InputText
                   
                    placeholder="Nouvelle marque"
                    value={nouvelleMarque}
                    onChangeText={setNouvelleMarque}
                />
                <Boutton onPress={ajouterNouvelleMarque} value="Ajouter" />
            <Footer />
        </View>
    );
}

const styles = StyleSheet.create({
    container: {
        flex: 1,
        padding: 20,
    },

});

export default AjoutMarque;
