import React, { useState } from 'react';
import { View, StyleSheet, Alert } from 'react-native';
import { useNavigation } from '@react-navigation/native';
import Header from "../../Components/Header";
import Boutton from "../../Components/Boutton";
import InputText from "../../Components/InputText";
import Footer from '../../Components/Footer';

// Fonction pour ajouter un nouveau type de véhicule
const AjoutTypeVehicule = () => {
    const [nouveauTypeVehicule, setNouveauTypeVehicule] = useState('');
    const navigation = useNavigation();
                                                                      
 
        const ajouterNouveauType = () => {
            const formData = new FormData();
            formData.append("nouveauTypeVehicule", nouveauTypeVehicule);
         if     (nouveauTypeVehicule.length === 0) {
                Alert.alert('Erreur', 'Veuillez saisir un type de véhicule');
                return;
            }
      
            fetch(`https://sites.freeboxos.fr/Api/Listes/insertTypesVehicules.php`, {
                method: 'POST',
                body: formData,
            })
            .then((response) => response.json())
            .then((json) => {
                if (json.success) {
                    Alert.alert('Nouveau modèle ajouté avec succès dans la base de données.');
                    setNouveauTypeVehicule('');
                    navigation.navigate('Listes'); 
                } else {
                    Alert.alert(json.message || json.error);
                }
            })
            .catch((error) => console.error(error));
        };
    

    return (
        <View style={styles.container}>
            <Header title="Ajout d'un nouveau Type de véhicule" />
            <InputText
                placeholder="Nouveau Type de véhicule"
                value={nouveauTypeVehicule}
                onChangeText={setNouveauTypeVehicule}
            />
            <Boutton onPress={ajouterNouveauType} value="Ajouter" />
            <Footer />
        </View>
    );
};



const styles = StyleSheet.create({
    container: {
        flex: 1,
        padding: 20,                                                                                                                
    },
});

export default AjoutTypeVehicule;
