
import React, { useEffect, useState } from 'react';
import { View,StyleSheet, Alert } from 'react-native';
import Header from '../../Components/Header';
import CustomFlatList from '../../Components/CustomFlatList';
import Boutton from '../../Components/Boutton';
import Footer from '../../Components/Footer';

const ListeTypeVehicule = ({ navigation }) => {
    const [typeVehicule, setTypeVehicule] = useState([]);
    const PageName = ['TypeVehiculeDetails' ];

    useEffect(() => {
        fetchTypeVehicule();
        navigation.addListener('focus', () => {
            fetchTypeVehicule();
        });
    }, [navigation]);


    // Fonction pour récupérer les types de véhicules
    const fetchTypeVehicule = () => {
        fetch(`https://sites.freeboxos.fr/Api/Listes/getTypesVehicules.php`)
            .then((response) => response.json())
            .then((json) => {
                if (json.success) {
                    setTypeVehicule(json.typesVehicules);                                                                                                                                               
                } else {
                    Alert.alert(json.message || json.error);
                }                                                       
            })
            .catch((error) => console.error(error));
    };
    
    const keyExtractor = (item, index) => index.toString();
    const titles = ["TypeVehicule"];

    const renderItem = ({ item }) => (
        <View>
            {item.nomType}
        </View>
    );
    

    return (
        <View style={styles.container}>
            <Header title="Liste des Type de véhicule" />
         
            <CustomFlatList
                data={typeVehicule}
                renderItem={renderItem}
                keyExtractor={keyExtractor}
                titles={titles}
                selectedKeys={['nomType']}
                navigation={navigation}
                PageName={PageName}    
            />
                <Boutton onPress={() => navigation.navigate('AjoutTypeVehicule')} value="ajouter" />
            <Footer />
        </View>
    );
};
const styles = StyleSheet.create({
    container: {
        flex: 1,
        padding: 20,
    },
  
});


export default ListeTypeVehicule;
